# Generated by Django 3.1.6 on 2021-03-02 17:00

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import main.models.user


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("auth", "0012_alter_user_first_name_max_length"),
    ]

    operations = [
        migrations.CreateModel(
            name="User",
            fields=[
                ("id", models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("password", models.CharField(max_length=128, verbose_name="password")),
                ("last_login", models.DateTimeField(blank=True, null=True, verbose_name="last login")),
                (
                    "is_superuser",
                    models.BooleanField(
                        default=False,
                        help_text="Designates that this user has all permissions without explicitly assigning them.",
                        verbose_name="superuser status",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("email", models.EmailField(max_length=254, unique=True)),
                (
                    "groups",
                    models.ManyToManyField(
                        blank=True,
                        help_text="The groups this user belongs to. A user will get all permissions granted to each of their groups.",
                        related_name="user_set",
                        related_query_name="user",
                        to="auth.Group",
                        verbose_name="groups",
                    ),
                ),
                (
                    "user_permissions",
                    models.ManyToManyField(
                        blank=True,
                        help_text="Specific permissions for this user.",
                        related_name="user_set",
                        related_query_name="user",
                        to="auth.Permission",
                        verbose_name="user permissions",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            managers=[
                ("objects", main.models.user.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name="Site",
            fields=[
                ("id", models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("url", models.URLField()),
                ("status", models.BooleanField(verbose_name="Работает ли сейчас")),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sites",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Пользователь",
                    ),
                ),
            ],
            options={
                "verbose_name": "сайт",
                "verbose_name_plural": "сайты",
            },
        ),
        migrations.CreateModel(
            name="StatusComment",
            fields=[
                ("id", models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("text", models.TextField(verbose_name="Текст")),
                ("incident_time", models.DateTimeField(verbose_name="Время возникновения инцидента")),
                (
                    "is_show_on_main_page",
                    models.BooleanField(default=False, verbose_name="Показывать ли на главной странице"),
                ),
                (
                    "author",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="site_comments",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Автор",
                    ),
                ),
                ("site", models.ManyToManyField(to="main.Site", verbose_name="Сайт")),
            ],
            options={
                "verbose_name": "комментарий к сайту",
                "verbose_name_plural": "комментарии к сайту",
            },
        ),
        migrations.CreateModel(
            name="SiteCheck",
            fields=[
                ("id", models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "last_url",
                    models.CharField(
                        max_length=500, verbose_name="Последний URL, который открылся после всех редиректов"
                    ),
                ),
                ("status_code", models.IntegerField()),
                (
                    "error_response_content",
                    models.TextField(blank=True, null=True, verbose_name="Тело ответа при ошибочном запросе"),
                ),
                (
                    "site",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="checks",
                        to="main.site",
                        verbose_name="Сайт",
                    ),
                ),
            ],
            options={
                "verbose_name": "проверка",
                "verbose_name_plural": "проверки",
            },
        ),
    ]
